|  | Dual Active Bridge Development Board (Part-No. ) |
Content |  |  |  |  |  |

Loading...
Searching...
No Matches
Functions | Variables
cmp2.c File Reference
MPLABX MCC Melody Code Generator » CMP DAC Driver

This is the generated driver source file for CMP2 driver. More...

`#include <xc.h>`
`#include "../cmp2.h"`
Include dependency graph for cmp2.c:

Go to the source code of this file.

## Functions
void | CMP2_Initialize (void)
| Initialize the CMP2 module.
void | CMP2_Deinitialize (void)
| Deinitializes the CMP2 to POR values.
bool | CMP2_StatusGet (void)
| Returns the comparator output status.
void | CMP2_Enable (void)
| Enables the common DAC module.
void | CMP2_Disable (void)
| Disables the common DAC module.
void | CMP2_DACEnable (void)
| Enables the individual DAC module.
void | CMP2_DACDisable (void)
| Disables the individual DAC module.
void | CMP2_DACDataWrite (size_t value)
| CMP DAC Data write to register.
void | CMP2_EventCallbackRegister (void(*handler)(void))
| This function can be used to override default callback and to define custom callback for CMP2 Event event.
void | __attribute__ ((weak))
void | CMP2_Tasks (void)
| The Task function can be called in the main application using the High Speed Comparator, when interrupts are not used. This would thus introduce the polling mode feature of the Analog Comparator.

## Variables
static void(* | CMP2_EventHandler )(void) = NULL
const struct DAC_DC_INTERFACE | dac2_dc_interface
const struct CMP_INTERFACE | DAC_DEBUG
| Structure object of type CMP_INTERFACE with the custom name given by the user in the Melody Driver User interface. The default name e.g. CMP_DAC1 can be changed by the user in the CMP user interface. This allows defining a structure with application specific name using the 'Custom Name' field. Application specific name allows the API Portability.

## Detailed Description

CMP2 Generated Driver Source File

Definition in file cmp2.c.

## Function Documentation

## ◆ __attribute__()

void __attribute__ | ( | (weak) |  | ) |

Definition at line 149 of file cmp2.c.

## Variable Documentation

## ◆ CMP2_EventHandler

void(* CMP2_EventHandler) (void) | ( | void |  | ) | = NULL
| static

Definition at line 46 of file cmp2.c.

## ◆ dac2_dc_interface

const struct DAC_DC_INTERFACE dac2_dc_interface

Initial value:
= {
.Enable = &CMP2_DACEnable,
.Disable = &CMP2_DACDisable,
.DataWrite = &CMP2_DACDataWrite,
}
CMP2_DACEnable
void CMP2_DACEnable(void)
Enables the individual DAC module.
Definition cmp2.c:126
CMP2_DACDisable
void CMP2_DACDisable(void)
Disables the individual DAC module.
Definition cmp2.c:131
CMP2_DACDataWrite
void CMP2_DACDataWrite(size_t value)
CMP DAC Data write to register.
Definition cmp2.c:136

Definition at line 49 of file cmp2.c.